Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		readline
Version:	5.2
Release:	1
Epoch:		1
Provides:	%{name} 
License:	GNU/GPL 
URL:		http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-5.2-fixes-1.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	readline is a set of functions for use by applications that allow users to edit commandline.
BuildRequires:	ncurses-devel
BuildRequires:  glibc-devel
Prereq(post,preun): /sbin/install-info

%description
readline is a set of functions for use by applications that allow users to edit commandline.
For more details see: http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html

%package devel
Summary: 	readline development headers.
Group: 		%{group}            
Requires: 	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header and include files for developing applications with readline.

%post
/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
fi 

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b -fixes

%build
./configure --prefix=%_prefix \
--with-curses=ncurses \
--mandir=%_mandir \
--enable-shared \
--infodir=%_infodir \
--libdir=/lib
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_infodir/dir
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/%_lib
%_mandir
%_infodir

%files devel
%defattr(-,root,root)
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.2-1
- Version update
* Sat Dec 24 2005 Karsten Brockmann <arcam@ccux-linux.de> 5.1-1
- Version update
* Sun Nov 20 2005 Christian Wasem <wasem@ccux-linux.de> 5.0-5
- added info install
* Sat Nov 19 2005 Uli Schukraft <schukraft@ccux-linux.de> 5.0-4
- removed unnecessary Obsoletes-Tag
* Tue Apr 19 2005 Christian Wasem <wasem@ccux-linux.de> 5.0-3
- added some patches
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 5.0-2
- updating to 5.0 again
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 4.3-2
- Downgrade to 4.3
* Fri Apr 14 2005 Christian Wasem <wasem@ccux-linux.de> 5.0-1
- Update to Version 5.0
